# Inquiry Payment

# Specification

  • The following table is a specification of this API:
Name Description
API Name EDC Inquiry
Function This API is used to request EDC
Method POST
URL /v2.0/ecr/inquiry-status
Accept application/json
Content Type application/json
Related Service
Expected Timeout 8 second

# Request

  • The following part will be describe about parameter of request in this API:

# Request Parameter

  • The following table is a list of request parameter in this API:
  • The following table is a header of request parameter:
No Name Type Length Required Condition Remarks
1 Content-Type String Variable, 127 max Mandatory - Content type, value always application/json
2 Authorization String Variable, 2048 max Mandatory Represents access_token of a request, starts with keyword "Bearer" and followed by access_token
3 X-TIMESTAMP String Fixed, 25 max Mandatory - Transaction date time, in format YYYY-MM-DDTHH:mm:ss+07:00. Time must be in GMT+7 (Jakarta time)
4 X-SIGNATURE String Variable Mandatory - For the signature, please refer to: Digital Signature Validation
5 X-PARTNER-ID String Variable, 36 max Mandatory - Unique identifier for partner was generated by PayCools, or known as appId

# Body

  • The following table is a body of request parameter:
Name Type Required Remarks
originalPartnerReferenceNo string(50) Mandatory Transaction no generated by the merchant
merchantId string Mandatory Paycools Merchant Id

# REQUEST SAMPLE

POST /v2.0/ecr/inquiry-status HTTP/1.1
Content-type: application/json
Authorization: Bearer eyJhbGciOiJIUzI1NiJ9.eyJhcHBJZCI6ImNiY2U0OTBlODJmODQxZjJiMzE2MmE4ZGQyN2U5ZmQxIiwiY2FjaGVLZXkiOiJUT0tFTl9BUElfY2JjZTQ5MGU4MmY4NDFmMmIzMTYyYThkZDI3ZTlmZDFfMjEwMDJiMGYtMDJkNS00ZDI2LTg4MmEtMGRmNWI5MzVlNWVhIiwiY3JlYXRlVGltZSI6MTY5NjY1MDAyMTg3OX0.mkiFEVNvWTJDVLTvY9oE2u4w76wnlra1mwzC79SG-Zo
X-TIMESTAMP: 2023-09-25T17:57:35+07:00
X-SIGNATURE:
Dupbr1ILxsfBrXFmeDdIjwCmgv6AF+JQeIpD1Gq8HDjow7avCXdZAPOEbxVe7/x0atxy86aUfC11zXA1gvXXwxrTXFr6V0x8GZCyTndqnDyRlBeEZLL3BLmDRkrSsomd/mv1eG/th4TQndSPrBBfbN3bj0yIB99y2BnU5fBy7B0ZhYiQVs3uREspIsBB99F/4Zv8GbPWvik2usdOUo0gfPAQoZ3MJAcBQ/0vMRT5KdLm903C2HNyl1Cpb6OFRgaU2LAWybEQIC2QJ9mFb08NPR0PEu75WpVHNrFYn8gfiI8nRso0vBJhtMZrRINDQf9scV53cFdjpWobQHvnFDHCqQ==
X-PARTNER-ID: cbce490e82f441f2b3162a2dd27e8fd1

{
	"originalPartnerReferenceNo": "TR1770108731650",
	"merchantId": "cbce490e82f441f2b3162a2dd27e8fd1"
}

# Response

  • The following part will be describe about parameter of response in this API:

# Response Parameter

  • The following table is a list of response parameter in this API:

# Header

  • The following table is a header of response parameter:
No Name Type Length Required Condition Remarks
1 Content-Type String Variable, 127 max Mandatory - Content type, value always application/json
2 X-TIMESTAMP String Fixed, 25 max Mandatory - Transaction date time, in format YYYY-MM-DDTHH:mm:ss+07:00. Time must be in GMT+7 (Jakarta time)

# Body

  • The following table is a body of response parameter:
Name Type Required Remarks
responseCode string(50) Mandatory Code
responseMessage string(128) Mandatory Message
referenceNo string Mandatory paycools transaction no
partnerReferenceNo string(50) Mandatory Merchant request number, customer transaction number
originalReferenceNo string Optional paycools transaction no
originalPartnerReferenceNo string(50) Optional Merchant transaction no
regionNo string Mandatory Region No
transType string Mandatory Trans type
latestTransactionStatus string Mandatory
paidTime string Mandatory
amount Money Mandatory amount
createdDate string Mandatory Transaction create time, Date format: YYYY-MM DDTHH:MM:SS+07:00
additionalInfo AdditionalInfo Mandatory Additional Info

# Response

Content-Type: application/json
X-TIMESTAMP: 2023-04-11T21:10:11+07:00
{
    "responseCode": "200RP00",
    "responseMessage": "Successful",
    "referenceNo": "CU5L8608441790173184",
    "partnerReferenceNo": "TR1770108731650",
    "regionNo": "6660019",
    "transType": "QRIS",
    "amount": {
        "value": "5000.00",
        "currency": "IDR"
    },
    "createdDate": "2026-02-03T15:52:14+07:00",
    "additionalInfo": {
        "channelCode": "BCA_EDC",
        "notifyUrl": "https://example.com",
        "remark": "example",
        "instituteWayCode": "BCA_EDC_JT_C",
        "rewardFlag": "N"
    }
}